Main Page Class Hierarchy Compound List File List Compound Members File Members

# ServerTemplate Class Reference

`#include <server_template.h>`

Inheritance diagram for ServerTemplate:

List of all members.

## Public Member Functions
HANDLE_STATUS | HandleConfigLine (ConfigSource *p_parser)
| ServerTemplate ()
| ~ServerTemplate ()
## Protected Member Functions
void | CheckConfig ()
bool | PrepareToRun ()
const char * | OutputMessageTypeKey ()
long | GetMaxSocketBufferSize ()
MutableServerRequest * | GetRequestContainer ()
MutableServerResult * | GetResultContainer ()
WORM_STATUS_CODE | GetRequestFromInput (int p_argc, char *p_argv[], void *r_container)
WORM_STATUS_CODE | ProcessRequest (void *p_requestcontainer, void *r_resultcontainer)
WORM_STATUS_CODE | HandleResult (void *p_resultcontainer)
HANDLE_STATUS | HandleParameterLine (ConfigSource *p_parser, void *p_params)
## Protected Attributes
ServerTemplate_PARAMS | DefaultParameters

## Constructor & Destructor Documentation

ServerTemplate::ServerTemplate | ( |  | ) |

| Definition at line 198 of file server_template.cpp. References DefaultParameters.

ServerTemplate::~ServerTemplate | ( |  | ) |

| Definition at line 214 of file server_template.cpp.

## Member Function Documentation

void ServerTemplate::CheckConfig | ( |  | ) | `[protected, virtual]`

| Reimplemented from DBMutableServer. Definition at line 450 of file server_template.cpp. References DefaultParameters, TLogger::Logit(), and WORM_STAT_BADSTATE.

long ServerTemplate::GetMaxSocketBufferSize | ( |  | ) | `[inline, protected, virtual]`

| Implements MutableServerBase. Definition at line 92 of file server_template.h.

MutableServerRequest * ServerTemplate::GetRequestContainer | ( |  | ) | `[protected, virtual]`

| Implements MutableServerBase. Definition at line 532 of file server_template.cpp. References WormServerBase::LoggingLevel, TLogger::Logit(), and WORM_LOG_ERRORS.

WORM_STATUS_CODE ServerTemplate::GetRequestFromInput | ( | int | p_argc,
|  | char * | p_argv[],
|  | void * | r_container
| ) | `[protected, virtual]`

| Implements MutableServerBase. Definition at line 589 of file server_template.cpp. References TGlobalUtils::GetLoggingLevel(), WormServerBase::LoggingLevel, TLogger::Logit(), WORM_LOG_DEBUG, WORM_LOG_ERRORS, WORM_STAT_FAILURE, WORM_STAT_SUCCESS, and WORM_STATUS_CODE.

MutableServerResult * ServerTemplate::GetResultContainer | ( |  | ) | `[protected, virtual]`

| Implements MutableServerBase. Definition at line 560 of file server_template.cpp. References TGlobalUtils::GetLoggingLevel(), TLogger::Logit(), and WORM_LOG_ERRORS.

HANDLE_STATUS ServerTemplate::HandleConfigLine | ( | ConfigSource * | p_parser | ) | `[virtual]`

| Reimplemented from DBMutableServer. Definition at line 230 of file server_template.cpp. References DefaultParameters, HANDLE_STATUS, HandleParameterLine(), ConfigSource::IsTokenNull(), ConfigSource::Its(), WormServerBase::LoggingLevel, TLogger::Logit(), ConfigSource::String(), and WORM_LOG_ERRORS. Referenced by main().

HANDLE_STATUS ServerTemplate::HandleParameterLine | ( | ConfigSource * | p_parser,
|  | void * | p_params
| ) | `[protected, virtual]`

| Implements DBMutableServer. Definition at line 360 of file server_template.cpp. References HANDLE_STATUS, ConfigSource::Int(), ConfigSource::INVALID_INT, ConfigSource::IsTokenNull(), ConfigSource::Its(), and ConfigSource::String(). Referenced by HandleConfigLine(), and ProcessRequest().

WORM_STATUS_CODE ServerTemplate::HandleResult | ( | void * | p_resultcontainer | ) | `[protected, virtual]`

| Implements MutableServerBase. Definition at line 786 of file server_template.cpp. References TGlobalUtils::GetLoggingLevel(), MutableServerResult::GetStatus(), WormServerBase::LoggingLevel, TLogger::Logit(), MSB_RESULT_ERROR, MSB_RESULT_FAIL, MSB_RESULT_GOOD, WORM_LOG_DEBUG, WORM_LOG_ERRORS, WORM_STAT_BADSTATE, WORM_STAT_FAILURE, WORM_STAT_SUCCESS, and WORM_STATUS_CODE.

const char* ServerTemplate::OutputMessageTypeKey | ( |  | ) | `[inline, protected, virtual]`

| Implements MutableServerBase. Definition at line 82 of file server_template.h.

bool ServerTemplate::PrepareToRun | ( |  | ) | `[protected, virtual]`

| Reimplemented from DBMutableServer. Definition at line 490 of file server_template.cpp. References DBMutableServer::GetDefaultsFromDB(), WormServerBase::LoggingLevel, TLogger::Logit(), and WORM_LOG_ERRORS.

WORM_STATUS_CODE ServerTemplate::ProcessRequest | ( | void * | p_requestcontainer,
|  | void * | r_resultcontainer
| ) | `[protected, virtual]`

| Implements MutableServerBase. Definition at line 657 of file server_template.cpp. References DefaultParameters, TGlobalUtils::GetLoggingLevel(), MutableServerRequest::GetPassportLine(), MutableServerRequest::GetPassportLineCount(), HandleParameterLine(), ConfigSource::Load(), WormServerBase::LoggingLevel, TLogger::Logit(), MutableServerResult::SetStatus(), WORM_LOG_DEBUG, WORM_LOG_ERRORS, WORM_STAT_FAILURE, WORM_STAT_SUCCESS, and WORM_STATUS_CODE.

## Member Data Documentation

ServerTemplate_PARAMS ServerTemplate::DefaultParameters`[protected]`

| Definition at line 212 of file server_template.h. Referenced by CheckConfig(), HandleConfigLine(), ProcessRequest(), and ServerTemplate().

The documentation for this class was generated from the following files:

- server_template.h
- server_template.cpp